Couple of Media Tweaks

Bug 5898287

- Add a script to package up the media files int a zip.
  Maybe this could be helpful?

- Rename copy_medias to copy_media since plural of media is
  just media

Change-Id: I1e9496cc62fd39195be2fa352e5677a854ba0d12
diff --git a/README.txt b/README.txt
index 77f1993..084d7ca 100644
--- a/README.txt
+++ b/README.txt
@@ -4,9 +4,9 @@
 
 These media clips should be copied to Device Under Test before running the CTS test. Here is the instruction for the manual copy.
 1. connect the device under test via ADB.
-2. chmod 544 copy_medias.sh
-3. run copy_medias.sh
-  For default resolution, just run ./copy_medias.sh
-  For max resolution of 720x480, run ./copy_medias.sh 720x480
+2. chmod 544 copy_media.sh
+3. run copy_media.sh
+  For default resolution, just run ./copy_media.sh
+  For max resolution of 720x480, run ./copy_media.sh 720x480
   If you are not sure about the maximum resolution of the video playback in the device, try 1920x1080 so that all files are copied.
-  If there are multiple devices under adb, add -s serial option to the end. For example, to down-load up to 720x480 to device with serial 1234567, run copy_medias.sh 720x480 -s 1234567
+  If there are multiple devices under adb, add -s serial option to the end. For example, to down-load up to 720x480 to device with serial 1234567, run copy_media.sh 720x480 -s 1234567
diff --git a/copy_medias.sh b/copy_media.sh
similarity index 100%
rename from copy_medias.sh
rename to copy_media.sh
diff --git a/make_zip.sh b/make_zip.sh
new file mode 100755
index 0000000..1e1aaf8
--- /dev/null
+++ b/make_zip.sh
@@ -0,0 +1,25 @@
+#!/bin/sh
+# Copyright (C) 2012 The Android Open Source Project
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+if [[ ${ANDROID_HOST_OUT} == "" ]]; then
+  echo '$ANDROID_HOST_OUT not set'
+  exit 1
+fi
+
+DIR=${ANDROID_HOST_OUT}
+
+mkdir -p ${DIR}
+zip -r ${DIR}/android-cts-media.zip . -x '.*'